Cartes de chaleur
GET https://analyticse.com/api/heatmaps/
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Optionnel Entier | |
| user_id | Optionnel Entier | |
| is_enabled | Optionnel Entier | Valeurs autorisées : 0, 1 |
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Quel champ recherchez-vous ? Les valeurs autorisées sont : name, path. |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Date de début |
| datetime_end | Optionnel Chaîne | Date de fin |
| order_by | Optionnel Chaîne | Quel champ pour trier les résultats. Les valeurs autorisées sont : heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1. |
| results_per_page | Optionnel Entier | Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:01",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/heatmaps?page=1",
"last": "https://analyticse.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/heatmaps?page=1"
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:01",
"last_datetime": null
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| snapshot_type | Optionnel Chaîne | Valeurs autorisées : desktop, tablet, mobile |
| type | Optionnel Chaîne | Valeurs autorisées : clicks, scrolls |
| start_date | Optionnel Chaîne | Date de début au format Y-m-d. |
| end_date | Optionnel Chaîne | Date de fin au format Y-m-d. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://analyticse.com/api/heatmaps
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Requis Entier | |
| name | Requis Chaîne | |
| path | Optionnel Chaîne | |
| is_enabled | Optionnel Entier | Valeurs autorisées : 0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:01",
"last_datetime": null
}
}
POST https://analyticse.com/api/heatmaps/{heatmap_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | |
| is_enabled | Optionnel Entier | Valeurs autorisées : 0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:01",
"last_datetime": "2026-09-12 00:45:01"
}
}
DELETE https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \